package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFUserAssist;
import com.sa.ibiz.demo.demo.service.WFUserAssistService;
import com.sa.ibiz.demo.demo.service.dto.WFUserAssistSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfuserassist")
public class WFUserAssistResource
{
	@Autowired
	private WFUserAssistService service;


	@PostMapping(value = "/remove")
	public ResponseEntity<WFUserAssist> remove(@Validated @RequestBody WFUserAssist data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户代办[remove]操作发生错误","WFUserAssist",data.getWfuserassistid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<WFUserAssist> get(@Validated @PathVariable String id){
		WFUserAssist data=new WFUserAssist();
		data.setWfuserassistid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流用户代办[get]操作发生错误","WFUserAssist",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFUserAssist> create(@Validated @RequestBody WFUserAssist data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户代办[create]操作发生错误","WFUserAssist",data.getWfuserassistid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFUserAssist> update(@Validated @RequestBody WFUserAssist data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户代办[update]操作发生错误","WFUserAssist",data.getWfuserassistid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFUserAssist> checkKey(@Validated @RequestBody WFUserAssist data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户代办[checkKey]操作发生错误","WFUserAssist",data.getWfuserassistid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFUserAssist> getDraft(@Validated @RequestBody WFUserAssist data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户代办[getDraft]操作发生错误","WFUserAssist","");
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFUserAssist>> searchDefaultPage(@Validated @RequestBody WFUserAssistSearchFilter filter){
		Page<WFUserAssist> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFUserAssist>> listDefault(@Validated @RequestBody WFUserAssistSearchFilter filter){
		List<WFUserAssist> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
